quasardb C API: Performance related structures and functions

quasardb C API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Typedefs | Enumerations | Functions
Performance related structures and functions

## Data Structures
struct | qdb_perf_measurement_t
| A structure representing a performance measurement database. More...
struct | qdb_perf_profile_t
| A structure representing a continuous list of performance measurements. More...

## Typedefs
typedef enum qdb_perf_label_t | qdb_perf_label_t
| The possible labels for a performance measurement.

## Enumerations
enum | qdb_perf_label_t
| The possible labels for a performance measurement.

## Functions
QDB_API_LINKAGE qdb_error_t | qdb_perf_get_profiles (qdb_handle_t handle, qdb_perf_profile_t **profiles, qdb_size_t *count)
| Gets the list of profiles for the the given handle. More...
QDB_API_LINKAGE qdb_error_t | qdb_perf_clear_all_profiles (qdb_handle_t handle)
| Clears all accumulated profile information in the associated handle. More...
QDB_API_LINKAGE qdb_error_t | qdb_perf_enable_client_tracking (qdb_handle_t handle)
| Enables for all threads client side collection of performance data sent by the server. More...
QDB_API_LINKAGE qdb_error_t | qdb_perf_disable_client_tracking (qdb_handle_t handle)
| Disables client side collection of performance data sent by the server on the provided handle. More...

## Detailed Description

## Function Documentation

QDB_API_LINKAGE qdb_error_t qdb_perf_clear_all_profiles | ( | qdb_handle_t | handle | ) |

Clears all accumulated profile information in the associated handle.

Parameters

  handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_perf_disable_client_tracking | ( | qdb_handle_t | handle | ) |

Disables client side collection of performance data sent by the server on the provided handle.

By default the client will not store performance data returned by the server.

Parameters

  handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_perf_enable_client_tracking | ( | qdb_handle_t | handle | ) |

Enables for all threads client side collection of performance data sent by the server.

By default the client will not store performance data returned by the server.

Parameters

  handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.

Returns
  A qdb_error_t code indicating success or failure.

QDB_API_LINKAGE qdb_error_t qdb_perf_get_profiles | ( | qdb_handle_t | handle,
|  | qdb_perf_profile_t ** | profiles,
|  | qdb_size_t * | count
| ) |  |

Gets the list of profiles for the the given handle.

The profiles that have been extracted will be cleared in the given handle. This means the next call to this function will return new profile information only.

The handle must be connected.

Parameters

  handle | A valid handle previously initialized by qdb_open or qdb_open_tcp.
  profiles | A pointer to a pointer of profiles list that will be allocated by the API and must be release with qdb_release
  count | A pointer to an integer that will receive the number of returned profiles.

Returns
  A qdb_error_t code indicating success or failure.

See Also
  qdb_release